#ifndef PLAYER_H
#define PLAYER_H

#include "entity.h"

class CPlayer : public IMovableEntity
{
    public:
    CPlayer();
    virtual ~CPlayer();

    void Init( CSprite* sprite ) {m_Sprite = sprite; m_X = m_Y = m_XVel = m_YVel = 0;}

    int m_HP;

    float GetXVelocity() {return m_XVel;}
    float GetYVelocity() {return m_YVel;}
    void StopX() {m_XVel = 0;}
    void StopY() {m_YVel = 0;}
    void MoveLeft() {m_XVel = -500;}
    void MoveRight() {m_XVel = 500;}
    void MoveUp() {m_YVel = -500;}
    void MoveDown() {m_YVel = 500;}

    void Update( int deltaT );
    void Draw( SDL_Surface* screen );

};

#endif // PLAYER_H
